Get My Chat Rooms
GET /obp/v7.0.0/users/current/chat-rooms
OBPv6.0.0-getMyChatRooms No role required Chat
Get all chat rooms the current user is a participant of, across all banks and system-level rooms.
Authentication is Required
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
JSON response body fields (18)
- bank_id
- gh.29.uk
- chat_room_id
- chat_room_id
- chat_rooms
- chat_rooms
- created_at
- created_at
- created_by_provider
- created_by_provider
- created_by_user_id
- created_by_username
- created_by_username
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- is_archived
- is_archived
- is_open_room
- is_open_room
- joining_key
- joining_key
- name
- ACCOUNT_MANAGEMENT_FEE
- participant_count
- participant_count
- updated_at
- updated_at
- last_message_at
- last_message_at
- last_message_preview
- last_message_preview
- last_message_sender_username
- last_message_sender_username
- unread_count
- unread_count
Example success response
{
"chat_rooms": [
{
"chat_room_id": "chat-room-id-123",
"bank_id": "gh.29.uk",
"name": "General Discussion",
"description": "A place to discuss general topics",
"joining_key": "abc123key",
"created_by_user_id": "user-id-123",
"created_by_username": "robert.x.0.gh",
"created_by_provider": "https://github.com",
"is_open_room": false,
"is_archived": false,
"last_message_at": "2026-10-21T01:45:41Z",
"last_message_preview": "Hello everyone!",
"last_message_sender_username": "robert.x.0.gh",
"unread_count": 3,
"created_at": "2026-10-21T01:45:41Z",
"updated_at": "2026-10-21T01:45:41Z",
"participant_count": 0
}
]
}Possible errors (2)
- OBP-20001: User not logged in. Authentication is required!
- OBP-50000: Unknown Error.